Bug 1004510 - rhcsh should not use heredoc to display welcome banner
rhcsh should not use heredoc to display welcome banner
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 15:34 EDT by Jhon Honce
Modified: 2015-05-14 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:49:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-09-04 15:34:08 EDT
Description of problem:
rhcsh is using a heredoc to display the welcome message.  This fails if the gear's quota is exceeded.

Version-Release number of selected component (if applicable):


How reproducible:
Always on a gear that has meet or exceeded quota

Steps to Reproduce:
1. Fill gears disk capacity 
2. ssh into gear
3.

Actual results:
Error message about being unable to create heredoc

Expected results:
No error message, use echo in place of heredoc

Additional info:
Add comments warnings others about heredoc's in this file.
Comment 1 openshift-github-bot 2013-09-06 17:13:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/66d963041da5245d2e0121376c456ec21cbb3198
Bug 1004510 - Remove welcome HEREDOC from rhcsh

* HEREDOC caused extraneous error message when gear quota exceeeded
Comment 3 Qiushui Zhang 2013-09-09 05:16:22 EDT
Tested on devenv_3758.

1. Create an app
2. SSH to the app. Fill the space, e.g. dd if=/dev/zero of=~/app-root/data/test bs=1M count=2000
3. Log out and SSH to the app again.
The welcome banner shows correctly:

"
    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with "rhc app delete"
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.
"

Note You need to log in before you can comment on or make changes to this bug.